package com.yunzhi.demo.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="MyReadLog", description="我的阅读记录")
public class MyReadLog extends TaPost {

    @ApiModelProperty(value = "人员ID")
    private String personId;

    @ApiModelProperty(value = "时长 单位秒")
    private Integer duration;

    @ApiModelProperty(value = "状态")
    private Integer readStatus;
}
