package com.yunzhi.demo.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;

@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="TmTestPdf对象", description="体检PDF导入日志")
public class TmTestPdf implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "序号")
    @TableId(value = "serial_no", type = IdType.AUTO)
    private Integer serialNo;

    @ApiModelProperty(value = "学校ID")
    private String schoolId;

    @ApiModelProperty(value = "姓名")
    private String studentName;

    @ApiModelProperty(value = "体检编号")
    private String testNo;

    @ApiModelProperty(value = "文件地址")
    private String url;

    @ApiModelProperty(value = "创建时间")
    private LocalDateTime createDate;
}
