package com.yunzhi.demo.mapper;

import com.yunzhi.demo.entity.TaPostData;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 文章统计 Mapper 接口
 * </p>
 *
 * @author yansen
 * @since 2021-04-15
 */
@Mapper
public interface TaPostDataMapper extends BaseMapper<TaPostData> {

    int updatePvUvBy(String postId, int addUv, int addPv);

    Map<String, Object> getIndexBasicData();

    int updatePostSaveData(String postId);

    int subSaveData(String postId);

//    List<Map<String, Integer>> getIndexPostPV(String startDate, String endDate);
}
