package com.yunzhi.demo.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.yunzhi.demo.entity.TaTestLog;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.yunzhi.demo.vo.StudentTestLog;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 体检记录 Mapper 接口
 * </p>
 *
 * @author yansen
 * @since 2021-04-15
 */
@Mapper
public interface TaTestLogMapper extends BaseMapper<TaTestLog> {

    IPage<StudentTestLog> getTestLogWithStudent(IPage<StudentTestLog> pg, @Param("schoolId") String schoolId, @Param("specialtyId") String specialtyId, @Param("studentNo") String studentNo);
}
