package com.yunzhi.demo.service.impl;

import com.yunzhi.demo.entity.SysRole;
import com.yunzhi.demo.mapper.SysRoleMapper;
import com.yunzhi.demo.service.ISysRoleService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 角色 服务实现类
 * </p>
 *
 * @author yansen
 * @since 2021-04-15
 */
@Service
public class SysRoleServiceImpl extends ServiceImpl<SysRoleMapper, SysRole> implements ISysRoleService {

    @Autowired
    SysRoleMapper sysRoleMapper;

    @Override
    public List<SysRole> getByUser(String userId) {
        return sysRoleMapper.getRoleListByUser(userId);
    }
}
